search: Search for Security Hotpots

API: sonarcloud.io:sonarqube
Endpoint: /api/hotspots/search
Response format: application/json
Auth: unknown
Method: GET
Last Status: 400
Latency: 126ms

Description

Search for Security Hotpots.

Parameters (10)

fileUuids (string, query, optional)

Comma-separated list of file uuids. Returns only hotspots found in those files. If set, 'files' must not be set.

files (string, query, optional)

Comma-separated list of file paths. Returns only hotspots found in those files. If set, 'fileUuids' must not be set.

hotspots (string, query, optional)

Comma-separated list of Security Hotspot keys. This parameter is required unless projectKey is provided.

onlyMine (string, query, optional)

If 'projectKey' is provided, returns only Security Hotspots assigned to the current user

Constraints: {'enum': ['true', 'false', 'yes', 'no']}

p (string, query, optional, default: 1)

1-based page number

projectKey (string, query, optional)

Key of the project or application. This parameter is required unless hotspots is provided.

ps (string, query, optional, default: 100)

Page size. Must be greater than 0.

resolution (string, query, optional)

If 'projectKey' is provided and if status is 'REVIEWED', only Security Hotspots with the specified resolution are returned.

Constraints: {'enum': ['FIXED', 'SAFE']}

sinceLeakPeriod (string, query, optional, default: false)

If '%s' is provided, only Security Hotspots created since the leak period are returned.

Constraints: {'enum': ['true', 'false', 'yes', 'no']}

status (string, query, optional)

If 'projectKey' is provided, only Security Hotspots with the specified status are returned.

Constraints: {'enum': ['TO_REVIEW', 'REVIEWED']}

Examples (1)

Search for Security Hotpots openapi-spec
curl 'https://sonarcloud.io/api/hotspots/search?fileUuids=AXAKhxssZ0nocQ78Us1K&files=src%2Fmain%2Fjava%2Fcom%2Fsonarsource%2FFourthClass.java&hotspots=my_project&p=42&projectKey=my_project&ps=20'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/hotspots/search",
    params={
        'fileUuids': 'AXAKhxssZ0nocQ78Us1K',
        'files': 'src/main/java/com/sonarsource/FourthClass.java',
        'hotspots': 'my_project',
        'p': '42',
        'projectKey': 'my_project',
        'ps': '20',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/hotspots/search", fileUuids="AXAKhxssZ0nocQ78Us1K", files="src/main/java/com/sonarsource/FourthClass.java", hotspots="my_project", p=42, projectKey="my_project", ps=20)

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/hotspots/search?fileUuids=AXAKhxssZ0nocQ78Us1K&files=src%2Fmain%2Fjava%2Fcom%2Fsonarsource%2FFourthClass.java&hotspots=my_project&p=42&projectKey=my_project&ps=20");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:04:22.906484 400 126ms
2026-04-16 03:56:10.212407 400 175ms
2026-04-15 03:47:46.928395 400 146ms
2026-04-14 00:15:40.692039 400 212ms
2026-04-12 15:09:50.787949 400 121ms
2026-04-10 01:30:22.900574 400 99ms
2026-04-09 03:34:09.605154 400 128ms